Package org.apache.sysds.runtime.compress.colgroup.scheme

# Class DDCLZWSchemeMC

java.lang.Object
org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme
org.apache.sysds.runtime.compress.colgroup.scheme.DDCScheme
org.apache.sysds.runtime.compress.colgroup.scheme.DDCLZWScheme
org.apache.sysds.runtime.compress.colgroup.scheme.DDCLZWSchemeMC

All Implemented Interfaces:
  `Cloneable`, `ICLAScheme`

public class DDCLZWSchemeMC extends DDCLZWScheme

## Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

`LOG`

## Method Summary

Modifier and Type
Method
Description
`ACLAScheme`
`clone()`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.DDCLZWScheme

`create, create`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.DDCScheme

`create, toString`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme

`encode, encode, encodeT, encodeT, update, update, updateAndEncode, updateAndEncode, updateAndEncodeT, updateAndEncodeT, updateT, updateT`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### clone

public ACLAScheme clone()

Specified by:
  `clone` in interface `ICLAScheme`
Specified by:
  `clone` in class `ACLAScheme`